(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[     42931,       1085]
NotebookOptionsPosition[     40202,        983]
NotebookOutlinePosition[     40591,       1000]
CellTagsIndexPosition[     40548,        997]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Compute the successor of a triangular matrix for the prombs algorithm\
\>", "Section",
 CellChangeTimes->{{3.496307482554467*^9, 3.496307514033782*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "[", "L_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"j", "\[GreaterEqual]", "i"}], ",", 
      RowBox[{"f", "[", 
       SubscriptBox["b", 
        RowBox[{"i", ",", "j"}]], "]"}], ",", "0"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "L"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "L"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"succ", "[", "A_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "As", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"As", "=", "A"}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"As", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"1", ";;", 
          RowBox[{"-", "2"}]}], ",", 
         RowBox[{"1", ";;", 
          RowBox[{"-", "2"}]}]}], "]"}], "]"}], "=", 
      RowBox[{"A", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"2", ";;", 
          RowBox[{"-", "1"}]}], ",", 
         RowBox[{"2", ";;", 
          RowBox[{"-", "1"}]}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     
     RowBox[{
      RowBox[{"As", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"1", ";;", 
          RowBox[{"-", "1"}]}], ",", 
         RowBox[{"-", "1"}]}], "]"}], "]"}], "=", "0"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"As", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"-", "1"}], ",", 
         RowBox[{"-", "1"}]}], "]"}], "]"}], "=", "1"}], ";", 
     "\[IndentingNewLine]", "As"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.4963061579158382`*^9, 3.49630626584772*^9}, {
  3.4963063307113028`*^9, 3.496306335647347*^9}, {3.4964778822924337`*^9, 
  3.49647788291962*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["ProMBS", "Section",
 CellChangeTimes->{{3.496307482554467*^9, 3.496307514033782*^9}, {
  3.49630853946891*^9, 3.4963085413119097`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"prombs", "[", 
   RowBox[{"A_", ",", "fe_", ",", "g_", ",", "N_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "Ar", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Ar", "=", 
      RowBox[{
       RowBox[{"NestList", "[", 
        RowBox[{"succ", ",", "A", ",", "N"}], "]"}], "/.", 
       RowBox[{"f", "\[Rule]", "fe"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"g", " ", 
      RowBox[{"Reverse", "[", 
       RowBox[{
        RowBox[{"Fold", "[", 
         RowBox[{"Dot", ",", 
          RowBox[{"Ar", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{"Ar", "[", 
           RowBox[{"[", 
            RowBox[{"2", ";;", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prombsExt", "[", 
   RowBox[{
   "A_", ",", "f_", ",", "g_", ",", "h_", ",", "\[Epsilon]_", ",", "N_"}], 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{
   FractionBox["1", "\[Epsilon]"], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"prombs", "[", 
      RowBox[{"A", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"f", "[", "#", "]"}], " ", 
         RowBox[{"Exp", "[", 
          RowBox[{"\[Epsilon]", " ", 
           RowBox[{"h", "[", "#", "]"}]}], "]"}]}], "&"}], ",", "g", ",", 
       "N"}], "]"}], "-", 
     RowBox[{"prombs", "[", 
      RowBox[{"A", ",", "f", ",", "g", ",", "N"}], "]"}]}], 
    ")"}]}]}]}], "Input",
 CellChangeTimes->{{3.4963085572393627`*^9, 3.496308625466155*^9}, {
   3.4963087689268293`*^9, 3.49630888211731*^9}, {3.496309366158889*^9, 
   3.496309404776751*^9}, {3.4963094563184433`*^9, 3.496309511509886*^9}, {
   3.4963095626034317`*^9, 3.496309567315295*^9}, {3.4963098080454073`*^9, 
   3.496309845142528*^9}, {3.496309892775543*^9, 3.496309893887207*^9}, {
   3.496309983776401*^9, 3.4963099975387363`*^9}, {3.4963101351434917`*^9, 
   3.496310140610936*^9}, {3.496310459603875*^9, 3.496310495752667*^9}, {
   3.496310569955127*^9, 3.496310579871107*^9}, {3.496310762413344*^9, 
   3.496310764076994*^9}, 3.496313229832797*^9, {3.496469480373928*^9, 
   3.496469490007218*^9}, {3.496469548402094*^9, 3.496469551340371*^9}, {
   3.4964696679722977`*^9, 3.496469668173061*^9}, {3.496476481483364*^9, 
   3.4964764824799757`*^9}, {3.4964774369751596`*^9, 3.49647746578902*^9}, 
   3.496477832979144*^9, {3.496660171766859*^9, 3.496660178330573*^9}, {
   3.497157741751882*^9, 3.497157742594799*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Model", "Section",
 CellChangeTimes->{{3.496307482554467*^9, 3.496307514033782*^9}, {
  3.496307582655335*^9, 3.496307604654868*^9}, {3.496314538543949*^9, 
  3.4963145737171087`*^9}, {3.49631469648182*^9, 3.4963146977841*^9}, {
  3.49639167126974*^9, 3.4963916743368273`*^9}, {3.49646512541617*^9, 
  3.496465134383539*^9}, {3.4964701664981613`*^9, 3.496470185362529*^9}, {
  3.523356169368423*^9, 3.5233561721503153`*^9}, {3.523356202246294*^9, 
  3.523356204949431*^9}, {3.523356258373147*^9, 3.52335626568329*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Count", " ", "statistics"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ns", "[", "bij_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"i", ",", "j"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"i", ",", "j"}], "}"}], "=", 
        RowBox[{"bij", "/.", 
         RowBox[{
          SubscriptBox["b", 
           RowBox[{"i_", ",", "j_"}]], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"i", ",", "j"}], "}"}]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Plus", "@@", 
        RowBox[{"successes", "[", 
         RowBox[{"[", 
          RowBox[{"i", ";;", "j"}], "]"}], "]"}]}]}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nf", "[", "bij_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"i", ",", "j"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"i", ",", "j"}], "}"}], "=", 
        RowBox[{"bij", "/.", 
         RowBox[{
          SubscriptBox["b", 
           RowBox[{"i_", ",", "j_"}]], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"i", ",", "j"}], "}"}]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Plus", "@@", 
        RowBox[{"failures", "[", 
         RowBox[{"[", 
          RowBox[{"i", ";;", "j"}], "]"}], "]"}]}]}]}], "]"}]}]}]}]], "Input",\

 CellChangeTimes->{{3.496467018603112*^9, 3.496467028839601*^9}, {
  3.496467113281349*^9, 3.496467125011794*^9}, {3.4964672294560623`*^9, 
  3.49646729640521*^9}, {3.4964673492452507`*^9, 3.496467404534198*^9}, {
  3.496467589031912*^9, 3.496467613986788*^9}, {3.4964676698460627`*^9, 
  3.496467707499886*^9}, {3.496467768815625*^9, 3.496467935722452*^9}, {
  3.496469299722822*^9, 3.496469308794485*^9}, {3.496469659144464*^9, 
  3.496469659420434*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fe", "[", "bij_", "]"}], ":=", 
  FractionBox[
   RowBox[{"Beta", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ns", "[", "bij", "]"}], "+", "\[Sigma]"}], ",", 
     RowBox[{
      RowBox[{"nf", "[", "bij", "]"}], "+", "\[Gamma]"}]}], "]"}], 
   RowBox[{"Beta", "[", 
    RowBox[{"\[Sigma]", ",", "\[Gamma]"}], "]"}]]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"P", "[", "\"\<B\>\"", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"Binomial", "[", 
       RowBox[{
        RowBox[{"L", "-", "1"}], ",", "m"}], "]"}]], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "0", ",", 
       RowBox[{"L", "-", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"P", "[", "\"\<D\>\"", "]"}], ":=", 
   RowBox[{"Plus", "@@", 
    RowBox[{"prombs", "[", 
     RowBox[{
      RowBox[{"A", "[", "L", "]"}], ",", "fe", ",", 
      RowBox[{"P", "[", "\"\<B\>\"", "]"}], ",", 
      RowBox[{"L", "-", "1"}]}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.496468012971098*^9, 3.4964680390810537`*^9}, {
  3.496468385477005*^9, 3.496468393627639*^9}, {3.496468509839691*^9, 
  3.4964685257262907`*^9}, {3.4964685575060673`*^9, 3.496468661969253*^9}, {
  3.496468942602952*^9, 3.4964690502541437`*^9}, {3.496469331817041*^9, 
  3.4964693478981867`*^9}, {3.4964694025103292`*^9, 3.496469404099579*^9}, {
  3.496469777350711*^9, 3.4964697872903967`*^9}, {3.496657485528965*^9, 
  3.4966575324965277`*^9}, {3.496658763194788*^9, 3.496658779577194*^9}, {
  3.4966589926541986`*^9, 3.496658998883214*^9}, {3.496659731958558*^9, 
  3.496659737496737*^9}, {3.523356395714561*^9, 3.5233563961423473`*^9}, {
  3.5233565881435843`*^9, 3.5233565884712467`*^9}, {3.523356642099296*^9, 
  3.523356643163308*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example with binomial data", "Section",
 CellChangeTimes->{{3.496307482554467*^9, 3.496307514033782*^9}, {
  3.496307582655335*^9, 3.496307604654868*^9}, {3.496314538543949*^9, 
  3.4963145737171087`*^9}, {3.49631469648182*^9, 3.4963146977841*^9}, {
  3.49639167126974*^9, 3.4963916743368273`*^9}, {3.49646512541617*^9, 
  3.496465134383539*^9}, {3.4964701664981613`*^9, 3.496470185362529*^9}, {
  3.5233563212675867`*^9, 3.5233563361771793`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "Data", " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"L", "=", "6"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"successes", "=", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "2", ",", "4", ",", "7", ",", "7"}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"failures", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{"8", ",", "7", ",", "7", ",", "6", ",", "3", ",", "2"}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Parameters", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]", "=", "1"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"in", " ", "the", " ", 
      RowBox[{"paper", ":", " ", "\[Alpha]"}]}], " ", "=", " ", 
     RowBox[{"(", 
      RowBox[{"\[Sigma]", ",", " ", "\[Gamma]"}], ")"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Gamma]", "=", "1"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.496465185995377*^9, 3.496465246422797*^9}, {
  3.4964684525607023`*^9, 3.496468475485355*^9}, {3.4964686048572893`*^9, 
  3.496468646406538*^9}, {3.4964688931399403`*^9, 3.496468894004002*^9}, {
  3.4964689331758327`*^9, 3.496468938413433*^9}, {3.496469120794979*^9, 
  3.496469120897566*^9}, {3.4964695148448772`*^9, 3.4964695149801064`*^9}, {
  3.496469827047003*^9, 3.496469829080565*^9}, {3.496657614346758*^9, 
  3.49665761530757*^9}, {3.49665900730369*^9, 3.496659007821121*^9}, {
  3.5395873244326687`*^9, 3.539587327837186*^9}, {3.539592520147296*^9, 
  3.5395925207125473`*^9}, {3.5396045314868402`*^9, 3.539604532234089*^9}, {
  3.539610257970223*^9, 3.5396102580863447`*^9}, {3.539676240302732*^9, 
  3.539676240408636*^9}, {3.539677649687686*^9, 3.5396776498500547`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["ProMBS test", "Section",
 CellChangeTimes->{{3.496307482554467*^9, 3.496307514033782*^9}, {
  3.496307582655335*^9, 3.496307604654868*^9}, {3.496314538543949*^9, 
  3.4963145737171087`*^9}, {3.49631469648182*^9, 3.4963146977841*^9}, {
  3.49639167126974*^9, 3.4963916743368273`*^9}, {3.49646512541617*^9, 
  3.496465134383539*^9}, {3.4964701664981613`*^9, 3.496470185362529*^9}, {
  3.52335635188267*^9, 3.523356352048902*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Compute", " ", "the", " ", "evidence", " ", "P", 
    RowBox[{"(", "D", ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"prombs", "[", 
      RowBox[{
       RowBox[{"A", "[", "L", "]"}], ",", "fe", ",", 
       RowBox[{"P", "[", "\"\<B\>\"", "]"}], ",", "L"}], "]"}], "//", "Log"}],
     "//", "N"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plus", "@@", 
     RowBox[{"prombs", "[", 
      RowBox[{
       RowBox[{"A", "[", "L", "]"}], ",", "fe", ",", 
       RowBox[{"P", "[", "\"\<B\>\"", "]"}], ",", 
       RowBox[{"L", "-", "1"}]}], "]"}]}], "//", "N"}]}]}]], "Input",
 CellChangeTimes->{{3.4964690583872223`*^9, 3.49646907179916*^9}, {
  3.496469124268689*^9, 3.496469129641217*^9}, {3.496469569526676*^9, 
  3.496469583971401*^9}, {3.496469676771809*^9, 3.496469697891049*^9}, {
  3.496469736483698*^9, 3.496469741943077*^9}, {3.496469801173156*^9, 
  3.49646980142127*^9}, {3.496469836352319*^9, 3.496469836775069*^9}, {
  3.496469963091135*^9, 3.49647001684402*^9}, {3.496477542516479*^9, 
  3.496477550384005*^9}, {3.496650354313772*^9, 3.496650355894565*^9}, {
  3.49665075808911*^9, 3.496650759542059*^9}, {3.496657876462961*^9, 
  3.4966578791175737`*^9}, {3.4966583463939657`*^9, 3.496658346665208*^9}, {
  3.4966587882841187`*^9, 3.496658805104665*^9}, {3.4966597276432943`*^9, 
  3.496659728047866*^9}, {3.5233567004738007`*^9, 3.523356702867805*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "41.350593477933444`"}], ",", 
   RowBox[{"-", "38.62402218832657`"}], ",", 
   RowBox[{"-", "38.642096403078824`"}], ",", 
   RowBox[{"-", "38.95228122543481`"}], ",", 
   RowBox[{"-", "39.364525912028824`"}], ",", 
   RowBox[{"-", "39.88215226199554`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.496469074941492*^9, {3.4964691307913427`*^9, 3.496469136427847*^9}, 
   3.4964693128382063`*^9, 3.49646935062358*^9, 3.496469408948124*^9, {
   3.49646949825144*^9, 3.4964695855164623`*^9}, {3.496469661857759*^9, 
   3.496469698491106*^9}, {3.49646973897338*^9, 3.496469742607951*^9}, {
   3.4964697799681997`*^9, 3.496469801992322*^9}, {3.496469834058777*^9, 
   3.496469837327491*^9}, 3.4964700174255*^9, 3.496476518949915*^9, 
   3.496477550929245*^9, 3.496650356467927*^9, 3.496650477168098*^9, 
   3.4966507154928637`*^9, 3.496650760017446*^9, {3.496657489367127*^9, 
   3.4966575339080467`*^9}, 3.496657618362762*^9, 3.496657879899836*^9, {
   3.496658347325145*^9, 3.496658350175942*^9}, {3.4966587815758543`*^9, 
   3.49665880576748*^9}, 3.496659745208693*^9, 3.4966606164957933`*^9, 
   3.503748696982148*^9, 3.5233567036954803`*^9}],

Cell[BoxData["5.935033999003864`*^-17"], "Output",
 CellChangeTimes->{
  3.496469074941492*^9, {3.4964691307913427`*^9, 3.496469136427847*^9}, 
   3.4964693128382063`*^9, 3.49646935062358*^9, 3.496469408948124*^9, {
   3.49646949825144*^9, 3.4964695855164623`*^9}, {3.496469661857759*^9, 
   3.496469698491106*^9}, {3.49646973897338*^9, 3.496469742607951*^9}, {
   3.4964697799681997`*^9, 3.496469801992322*^9}, {3.496469834058777*^9, 
   3.496469837327491*^9}, 3.4964700174255*^9, 3.496476518949915*^9, 
   3.496477550929245*^9, 3.496650356467927*^9, 3.496650477168098*^9, 
   3.4966507154928637`*^9, 3.496650760017446*^9, {3.496657489367127*^9, 
   3.4966575339080467`*^9}, 3.496657618362762*^9, 3.496657879899836*^9, {
   3.496658347325145*^9, 3.496658350175942*^9}, {3.4966587815758543`*^9, 
   3.49665880576748*^9}, 3.496659745208693*^9, 3.4966606164957933`*^9, 
   3.503748696982148*^9, 3.523356703699995*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"prombsExt", "[", 
    RowBox[{
     RowBox[{"A", "[", "L", "]"}], ",", "fe", ",", 
     RowBox[{"P", "[", "\"\<B\>\"", "]"}], ",", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"Log", "[", 
        RowBox[{"fe", "[", "#", "]"}], "]"}]}], "&"}], ",", "0.0001", ",", 
     "L"}], "]"}], "//", "Log"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.4966601191951437`*^9, 3.496660160447628*^9}, {
   3.496660218081278*^9, 3.4966602228411207`*^9}, 3.496661240036456*^9, {
   3.52335670855105*^9, 3.523356708842333*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "37.626438461896704`"}], ",", 
   RowBox[{"-", "34.984185444812006`"}], ",", 
   RowBox[{"-", "34.99316703641477`"}], ",", 
   RowBox[{"-", "35.291831933783655`"}], ",", 
   RowBox[{"-", "35.69213472309695`"}], ",", 
   RowBox[{"-", "36.194228579545644`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.496660624012628*^9, 3.496661240714945*^9, 
  3.503748699644043*^9, 3.5233567119616137`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Utility", "Section",
 CellChangeTimes->{{3.496307482554467*^9, 3.496307514033782*^9}, {
   3.496307582655335*^9, 3.496307604654868*^9}, {3.496314538543949*^9, 
   3.4963145737171087`*^9}, {3.49631469648182*^9, 3.4963146977841*^9}, {
   3.49639167126974*^9, 3.4963916743368273`*^9}, {3.49646512541617*^9, 
   3.496465134383539*^9}, {3.4964702841062937`*^9, 3.496470382443359*^9}, {
   3.496470438598978*^9, 3.496470483069792*^9}, {3.496471059569688*^9, 
   3.496471071910974*^9}, {3.496479272590764*^9, 3.496479272955422*^9}, {
   3.496661624522215*^9, 3.496661632010087*^9}, 3.523357316452704*^9, 
   3.523362816510746*^9, {3.5395859257150583`*^9, 3.539585927855522*^9}, {
   3.5396752736539183`*^9, 3.539675279011312*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"expectation", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"evidenceref", ",", "evidence"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"evidenceref", "=", 
       RowBox[{"P", "[", "\"\<D\>\"", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"y", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{"successes", "[", 
          RowBox[{"[", "x", "]"}], "]"}], "++"}], ",", 
        RowBox[{
         RowBox[{"failures", "[", 
          RowBox[{"[", "x", "]"}], "]"}], "++"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"evidence", "=", 
       RowBox[{"P", "[", "\"\<D\>\"", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"y", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{"successes", "[", 
          RowBox[{"[", "x", "]"}], "]"}], "--"}], ",", 
        RowBox[{
         RowBox[{"failures", "[", 
          RowBox[{"[", "x", "]"}], "]"}], "--"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      FractionBox["evidence", "evidenceref"]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"utility", "[", 
   RowBox[{"x_", ",", "y_", ",", "localUtility_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"result", ",", "fc", ",", "fn", ",", "fs", ",", "p"}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"fc", "[", 
       RowBox[{"bij_", ",", "z_"}], "]"}], ":=", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"i", ",", "j"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"i", ",", "j"}], "}"}], "=", 
          RowBox[{"bij", "/.", 
           RowBox[{
            SubscriptBox["b", 
             RowBox[{"i_", ",", "j_"}]], "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"i", ",", "j"}], "}"}]}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"i", " ", "\[LessEqual]", "x"}], "\[And]", 
            RowBox[{"x", "\[LessEqual]", "j"}], "\[And]", 
            RowBox[{"y", "\[Equal]", "z"}]}], ",", "1", ",", "0"}], "]"}]}]}],
        "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"fs", "[", "bij_", "]"}], ":=", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"i", ",", "j"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"i", ",", "j"}], "}"}], "=", 
          RowBox[{"bij", "/.", 
           RowBox[{
            SubscriptBox["b", 
             RowBox[{"i_", ",", "j_"}]], "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"i", ",", "j"}], "}"}]}]}]}], ";", "\[IndentingNewLine]",
          "\[IndentingNewLine]", 
         RowBox[{
          FractionBox[
           RowBox[{"Beta", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"ns", "[", "bij", "]"}], "+", "\[Sigma]", "+", 
              RowBox[{"fc", "[", 
               RowBox[{"bij", ",", "1"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"nf", "[", "bij", "]"}], "+", "\[Gamma]", "+", 
              RowBox[{"fc", "[", 
               RowBox[{"bij", ",", "2"}], "]"}]}]}], "]"}], 
           RowBox[{"Beta", "[", 
            RowBox[{"\[Sigma]", ",", "\[Gamma]"}], "]"}]], 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"i", " ", "\[LessEqual]", "x"}], "\[And]", 
             RowBox[{"x", "\[LessEqual]", "j"}]}], ",", 
            RowBox[{"localUtility", "[", 
             RowBox[{"x", ",", "y", ",", "bij"}], "]"}], ",", "1"}], 
           "]"}]}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"result", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        FractionBox["1", 
         RowBox[{"P", "[", "\"\<D\>\"", "]"}]], 
        RowBox[{"Plus", "@@", 
         RowBox[{"prombs", "[", 
          RowBox[{
           RowBox[{"A", "[", "L", "]"}], ",", "fs", ",", 
           RowBox[{"P", "[", "\"\<B\>\"", "]"}], ",", 
           RowBox[{"L", "-", "1"}]}], "]"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "result"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.53967529016497*^9, 3.5396752999828787`*^9}, {
  3.539675334141663*^9, 3.539675343972069*^9}, {3.539675377080544*^9, 
  3.539675386467527*^9}, {3.539675820899976*^9, 3.5396758609887037`*^9}, {
  3.539675933349505*^9, 3.539675933638403*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["KL-Component", "Section",
 CellChangeTimes->{{3.496307482554467*^9, 3.496307514033782*^9}, {
   3.496307582655335*^9, 3.496307604654868*^9}, {3.496314538543949*^9, 
   3.4963145737171087`*^9}, {3.49631469648182*^9, 3.4963146977841*^9}, {
   3.49639167126974*^9, 3.4963916743368273`*^9}, {3.49646512541617*^9, 
   3.496465134383539*^9}, {3.4964702841062937`*^9, 3.496470382443359*^9}, {
   3.496470438598978*^9, 3.496470483069792*^9}, {3.496471059569688*^9, 
   3.496471071910974*^9}, {3.496479272590764*^9, 3.496479272955422*^9}, {
   3.496661624522215*^9, 3.496661632010087*^9}, 3.523357316452704*^9, 
   3.523362816510746*^9, {3.5395859257150583`*^9, 3.539585927855522*^9}, {
   3.53968293805269*^9, 3.539682938657454*^9}, {3.539682998487843*^9, 
   3.539683001359621*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"klComponentUtility", "[", 
   RowBox[{"x_", ",", "y_", ",", "bij_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "nc", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"nc", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"y", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{"ns", "[", "bij", "]"}], "+", "\[Sigma]"}], ",", 
        RowBox[{
         RowBox[{"nf", "[", "bij", "]"}], "+", "\[Gamma]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"PolyGamma", "[", 
       RowBox[{"nc", "+", "1"}], "]"}], "-", 
      RowBox[{"PolyGamma", "[", 
       RowBox[{
        RowBox[{"ns", "[", "bij", "]"}], "+", "\[Sigma]", "+", 
        RowBox[{"nf", "[", "bij", "]"}], "+", "\[Gamma]", "+", "1"}], "]"}], 
      "-", 
      RowBox[{"Log", "[", 
       FractionBox["nc", 
        RowBox[{
         RowBox[{"ns", "[", "bij", "]"}], "+", "\[Sigma]", "+", 
         RowBox[{"nf", "[", "bij", "]"}], "+", "\[Gamma]"}]], "]"}]}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.539586689749557*^9, 3.539586826102455*^9}, {
   3.539587029576686*^9, 3.539587056374249*^9}, {3.5395871598297253`*^9, 
   3.539587319112866*^9}, {3.53958747402984*^9, 3.53958748326923*^9}, {
   3.539587600867917*^9, 3.5395876011699057`*^9}, {3.539587645289709*^9, 
   3.539587647001718*^9}, {3.53959316385163*^9, 3.539593249479196*^9}, {
   3.539593294078697*^9, 3.539593295004369*^9}, {3.5395935980433493`*^9, 
   3.539593602319353*^9}, {3.539593776498488*^9, 3.539593901679681*^9}, {
   3.539593952982333*^9, 3.5395939599655313`*^9}, {3.5395940034549522`*^9, 
   3.539594006756722*^9}, {3.539594037049487*^9, 3.539594053008292*^9}, {
   3.539594098642997*^9, 3.539594201435614*^9}, {3.539594292306752*^9, 
   3.539594368374608*^9}, {3.539594468227063*^9, 3.5395944892788258`*^9}, {
   3.539596846528338*^9, 3.539596854680303*^9}, {3.539596884779642*^9, 
   3.5395968881861486`*^9}, {3.539596940257105*^9, 3.539596946193355*^9}, {
   3.539597184535509*^9, 3.5395971927279367`*^9}, {3.5395982863725986`*^9, 
   3.539598299903285*^9}, {3.539598342228716*^9, 3.539598381175701*^9}, {
   3.5395990435379477`*^9, 3.5395990469949503`*^9}, {3.539599098862274*^9, 
   3.539599105903164*^9}, 3.539599394183326*^9, 3.539599478710688*^9, {
   3.5395995660723257`*^9, 3.53959956790586*^9}, {3.539599723198098*^9, 
   3.539599773734456*^9}, {3.539599907309388*^9, 3.539599916996484*^9}, {
   3.539600010993472*^9, 3.5396000159193087`*^9}, {3.539600609777152*^9, 
   3.53960061280513*^9}, {3.539601136528706*^9, 3.539601141427319*^9}, {
   3.539602175725677*^9, 3.5396021908028717`*^9}, {3.539602224138516*^9, 
   3.539602228856991*^9}, {3.5396022807568293`*^9, 3.539602307761656*^9}, {
   3.539604511894981*^9, 3.5396045124287367`*^9}, {3.539610445959139*^9, 
   3.5396105159035673`*^9}, {3.539613089751831*^9, 3.539613100679461*^9}, {
   3.5396754235292397`*^9, 3.539675452114695*^9}, {3.539675492473061*^9, 
   3.539675556176187*^9}, {3.539683004390568*^9, 3.539683005551642*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"utility", "[", 
  RowBox[{"1", ",", "1", ",", "klComponentUtility"}], "]"}]], "Input",
 CellChangeTimes->{{3.539675995409717*^9, 3.539676014326881*^9}, {
  3.539676321818728*^9, 3.5396763227289553`*^9}, {3.539683019804604*^9, 
  3.53968302175613*^9}}],

Cell[BoxData["0.016967779550959582`"], "Output",
 CellChangeTimes->{{3.53967599628854*^9, 3.539676014777935*^9}, 
   3.539676251695704*^9, 3.539676323700459*^9, 3.539677655450472*^9, 
   3.539683022109836*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"utility", "[", 
    RowBox[{"x", ",", "y", ",", "klComponentUtility"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", "L"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.539587339581822*^9, 3.539587344918872*^9}, {
  3.5395875090944233`*^9, 3.539587537034686*^9}, {3.539587608527504*^9, 
  3.539587619421504*^9}, {3.53958765302243*^9, 3.5395876678217154`*^9}, {
  3.5395877883472033`*^9, 3.539587795000609*^9}, {3.539592223589242*^9, 
  3.539592224690825*^9}, {3.5395971868198757`*^9, 3.539597188650016*^9}, {
  3.539597480996517*^9, 3.539597483956792*^9}, {3.5395982135024652`*^9, 
  3.539598214170485*^9}, {3.539599164924778*^9, 3.539599198890416*^9}, {
  3.53967630696626*^9, 3.539676309084856*^9}, {3.539683024535781*^9, 
  3.539683026294414*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0.016967779550959582`", ",", "0.013841731323000624`", ",", 
     "0.014813117813221335`", ",", "0.01357376995647223`", ",", 
     "0.008658638830487937`", ",", "0.008541141223010643`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.006205458507577646`", ",", "0.006034370427941867`", ",", 
     "0.006187437127128581`", ",", "0.009440520877827414`", ",", 
     "0.017359296782482943`", ",", "0.020672325089645983`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.539597189080361*^9, 3.53959719456557*^9}, {
   3.539597481739624*^9, 3.539597484464933*^9}, 3.5395982145831614`*^9, 
   3.539598288918738*^9, 3.539598368885808*^9, 3.539599050833468*^9, 
   3.539599111087839*^9, {3.539599183169434*^9, 3.539599199530055*^9}, 
   3.539599398739892*^9, 3.539599494344583*^9, 3.539599575396666*^9, {
   3.5395997599320383`*^9, 3.539599778673691*^9}, 3.53959992168477*^9, 
   3.539600020695632*^9, 3.5396006161066303`*^9, 3.539601148251277*^9, {
   3.539604524493092*^9, 3.539604545038034*^9}, 3.539604580578401*^9, 
   3.539610519774632*^9, 3.5396131356413918`*^9, 3.539676309813137*^9, 
   3.539677657657054*^9, 3.5396830269097013`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"utility", "[", 
     RowBox[{"x", ",", "1", ",", "klComponentUtility"}], "]"}], "+", 
    RowBox[{"utility", "[", 
     RowBox[{"x", ",", "2", ",", " ", "klComponentUtility"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", "L"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.539610273661049*^9, 3.53961028341203*^9}, {
  3.539683031062557*^9, 3.539683045406096*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.02317323805853723`", ",", "0.01987610175094249`", ",", 
   "0.021000554940349914`", ",", "0.023014290834299643`", ",", 
   "0.02601793561297088`", ",", "0.029213466312656627`"}], "}"}]], "Output",
 CellChangeTimes->{3.5396102840828123`*^9, 3.539610528842936*^9, 
  3.5396763541844378`*^9, 3.539677660111199*^9, 3.539683046009454*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["KL-Multibin", "Section",
 CellChangeTimes->{{3.496307482554467*^9, 3.496307514033782*^9}, {
   3.496307582655335*^9, 3.496307604654868*^9}, {3.496314538543949*^9, 
   3.4963145737171087`*^9}, {3.49631469648182*^9, 3.4963146977841*^9}, {
   3.49639167126974*^9, 3.4963916743368273`*^9}, {3.49646512541617*^9, 
   3.496465134383539*^9}, {3.4964702841062937`*^9, 3.496470382443359*^9}, {
   3.496470438598978*^9, 3.496470483069792*^9}, {3.496471059569688*^9, 
   3.496471071910974*^9}, {3.496479272590764*^9, 3.496479272955422*^9}, {
   3.496661624522215*^9, 3.496661632010087*^9}, 3.523357316452704*^9, 
   3.523362816510746*^9, {3.5395859257150583`*^9, 3.539585927855522*^9}, {
   3.539610380066907*^9, 3.539610381376968*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"klMultibinUtility", "[", 
   RowBox[{"x_", ",", "y_", ",", "bij_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "nc", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"nc", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"y", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{"ns", "[", "bij", "]"}], "+", "\[Sigma]"}], ",", 
        RowBox[{
         RowBox[{"nf", "[", "bij", "]"}], "+", "\[Gamma]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Log", "[", 
      RowBox[{
       FractionBox["nc", 
        RowBox[{
         RowBox[{"ns", "[", "bij", "]"}], "+", "\[Sigma]", "+", 
         RowBox[{"nf", "[", "bij", "]"}], "+", "\[Gamma]"}]], 
       FractionBox["1", 
        RowBox[{"expectation", "[", 
         RowBox[{"x", ",", "y"}], "]"}]]}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.539675600844224*^9, 3.53967560222013*^9}, {
  3.539675646798277*^9, 3.5396757110061703`*^9}, {3.539675779916649*^9, 
  3.539675780077846*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"utility", "[", 
  RowBox[{"1", ",", "1", ",", "klMultibinUtility"}], "]"}]], "Input",
 CellChangeTimes->{{3.5396757440016537`*^9, 3.539675752603039*^9}}],

Cell[BoxData["0.001544956499711686`"], "Output",
 CellChangeTimes->{{3.539675753212522*^9, 3.539675783121557*^9}, 
   3.539675867396908*^9, 3.539676244238543*^9, 3.5396776647814703`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"utility", "[", 
    RowBox[{"x", ",", "y", ",", "klMultibinUtility"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", "L"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.539587339581822*^9, 3.539587344918872*^9}, {
  3.5395875090944233`*^9, 3.539587537034686*^9}, {3.539587608527504*^9, 
  3.539587619421504*^9}, {3.53958765302243*^9, 3.5395876678217154`*^9}, {
  3.5395877883472033`*^9, 3.539587795000609*^9}, {3.539592223589242*^9, 
  3.539592224690825*^9}, {3.5395971868198757`*^9, 3.539597188650016*^9}, {
  3.539597480996517*^9, 3.539597483956792*^9}, {3.5395982135024652`*^9, 
  3.539598214170485*^9}, {3.539599164924778*^9, 3.539599198890416*^9}, {
  3.539676335581382*^9, 3.5396763392294483`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0.001544956499711686`", ",", "0.0021136082221034943`", ",", 
     "0.003130100927529789`", ",", "0.012737236508765256`", ",", 
     "0.00493714588934394`", ",", "0.0022865721001816886`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.000664496037389506`", ",", "0.000976714716612858`", ",", 
     "0.0015629686228709457`", ",", "0.009401542038970331`", ",", 
     "0.007864682269200798`", ",", "0.004208387039439126`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.539597189080361*^9, 3.53959719456557*^9}, {
   3.539597481739624*^9, 3.539597484464933*^9}, 3.5395982145831614`*^9, 
   3.539598288918738*^9, 3.539598368885808*^9, 3.539599050833468*^9, 
   3.539599111087839*^9, {3.539599183169434*^9, 3.539599199530055*^9}, 
   3.539599398739892*^9, 3.539599494344583*^9, 3.539599575396666*^9, {
   3.5395997599320383`*^9, 3.539599778673691*^9}, 3.53959992168477*^9, 
   3.539600020695632*^9, 3.5396006161066303`*^9, 3.539601148251277*^9, {
   3.539604524493092*^9, 3.539604545038034*^9}, 3.539604580578401*^9, 
   3.5396763418570127`*^9, 3.539677668859407*^9, 3.539683219752199*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"utility", "[", 
     RowBox[{"x", ",", "1", ",", "klMultibinUtility"}], "]"}], "+", 
    RowBox[{"utility", "[", 
     RowBox[{"x", ",", "2", ",", "klMultibinUtility"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", "L"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.539610273661049*^9, 3.53961028341203*^9}, {
  3.539683192752508*^9, 3.539683196161233*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.002209452537101192`", ",", "0.0030903229387163524`", ",", 
   "0.004693069550400735`", ",", "0.022138778547735587`", ",", 
   "0.012801828158544738`", ",", "0.006494959139620815`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.5396102840828123`*^9, 3.539676352152871*^9, 3.539677670878808*^9, {
   3.539683199102446*^9, 3.53968321367581*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["KL-Posterior", "Section",
 CellChangeTimes->{{3.496307482554467*^9, 3.496307514033782*^9}, {
   3.496307582655335*^9, 3.496307604654868*^9}, {3.496314538543949*^9, 
   3.4963145737171087`*^9}, {3.49631469648182*^9, 3.4963146977841*^9}, {
   3.49639167126974*^9, 3.4963916743368273`*^9}, {3.49646512541617*^9, 
   3.496465134383539*^9}, {3.4964702841062937`*^9, 3.496470382443359*^9}, {
   3.496470438598978*^9, 3.496470483069792*^9}, {3.496471059569688*^9, 
   3.496471071910974*^9}, {3.496479272590764*^9, 3.496479272955422*^9}, {
   3.496661624522215*^9, 3.496661632010087*^9}, 3.523357316452704*^9, 
   3.523362816510746*^9, {3.5395859257150583`*^9, 3.539585927855522*^9}, {
   3.539610380066907*^9, 3.539610381376968*^9}, {3.539683078621787*^9, 
   3.539683096818262*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"klPosteriorUtility", "[", 
   RowBox[{"x_", ",", "y_", ",", "bij_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "nc", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"nc", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"y", "\[Equal]", "1"}], ",", 
        RowBox[{
         RowBox[{"ns", "[", "bij", "]"}], "+", "\[Sigma]"}], ",", 
        RowBox[{
         RowBox[{"nf", "[", "bij", "]"}], "+", "\[Gamma]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"klComponentUtility", "[", 
       RowBox[{"x", ",", "y", ",", "bij"}], "]"}], "+", 
      RowBox[{"klMultibinUtility", "[", 
       RowBox[{"x", ",", "y", ",", "bij"}], "]"}]}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.539683137554153*^9, 3.5396831585182123`*^9}, {
  3.5396833497033443`*^9, 3.539683382100038*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"utility", "[", 
  RowBox[{"1", ",", "1", ",", "klPosteriorUtility"}], "]"}]], "Input",
 CellChangeTimes->{{3.5396757440016537`*^9, 3.539675752603039*^9}, 
   3.539683174278735*^9}],

Cell[BoxData["0.018512736050671254`"], "Output",
 CellChangeTimes->{{3.539675753212522*^9, 3.539675783121557*^9}, 
   3.539675867396908*^9, 3.539676244238543*^9, 3.5396776647814703`*^9, 
   3.5396832260436163`*^9, 3.5396833850925293`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"utility", "[", 
    RowBox[{"x", ",", "y", ",", "klPosteriorUtility"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", "L"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.539587339581822*^9, 3.539587344918872*^9}, {
   3.5395875090944233`*^9, 3.539587537034686*^9}, {3.539587608527504*^9, 
   3.539587619421504*^9}, {3.53958765302243*^9, 3.5395876678217154`*^9}, {
   3.5395877883472033`*^9, 3.539587795000609*^9}, {3.539592223589242*^9, 
   3.539592224690825*^9}, {3.5395971868198757`*^9, 3.539597188650016*^9}, {
   3.539597480996517*^9, 3.539597483956792*^9}, {3.5395982135024652`*^9, 
   3.539598214170485*^9}, {3.539599164924778*^9, 3.539599198890416*^9}, {
   3.539676335581382*^9, 3.5396763392294483`*^9}, 3.539683177650546*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0.018512736050671254`", ",", "0.01595533954510413`", ",", 
     "0.01794321874075112`", ",", "0.026311006465237492`", ",", 
     "0.013595784719831878`", ",", "0.010827713323192335`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.00686995454496715`", ",", "0.007011085144554723`", ",", 
     "0.007750405749999525`", ",", "0.01884206291679775`", ",", 
     "0.02522397905168375`", ",", "0.024880712129085113`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.539597189080361*^9, 3.53959719456557*^9}, {
   3.539597481739624*^9, 3.539597484464933*^9}, 3.5395982145831614`*^9, 
   3.539598288918738*^9, 3.539598368885808*^9, 3.539599050833468*^9, 
   3.539599111087839*^9, {3.539599183169434*^9, 3.539599199530055*^9}, 
   3.539599398739892*^9, 3.539599494344583*^9, 3.539599575396666*^9, {
   3.5395997599320383`*^9, 3.539599778673691*^9}, 3.53959992168477*^9, 
   3.539600020695632*^9, 3.5396006161066303`*^9, 3.539601148251277*^9, {
   3.539604524493092*^9, 3.539604545038034*^9}, 3.539604580578401*^9, 
   3.5396763418570127`*^9, 3.539677668859407*^9, 3.539683230759097*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"utility", "[", 
     RowBox[{"x", ",", "1", ",", "klPosteriorUtility"}], "]"}], "+", 
    RowBox[{"utility", "[", 
     RowBox[{"x", ",", "2", ",", "klPosteriorUtility"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", "L"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.539610273661049*^9, 3.53961028341203*^9}, {
  3.539683182720703*^9, 3.5396831856013727`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.025382690595638403`", ",", "0.022966424689658854`", ",", 
   "0.025693624490750647`", ",", "0.04515306938203524`", ",", 
   "0.03881976377151563`", ",", "0.03570842545227745`"}], "}"}]], "Output",
 CellChangeTimes->{3.5396102840828123`*^9, 3.539676352152871*^9, 
  3.539677670878808*^9, 3.53968323600358*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1231, 810},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[422, 15, 162, 3, 72, "Section"],
Cell[587, 20, 1816, 56, 141, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2440, 81, 141, 2, 72, "Section"],
Cell[2584, 85, 2553, 60, 128, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5174, 150, 524, 7, 72, "Section"],
Cell[5701, 159, 1974, 53, 156, "Input"],
Cell[7678, 214, 1826, 44, 127, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9541, 263, 453, 6, 72, "Section"],
Cell[9997, 271, 1807, 38, 138, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11841, 314, 433, 6, 72, "Section"],
Cell[CellGroupData[{
Cell[12299, 324, 1482, 30, 66, "Input"],
Cell[13784, 356, 1199, 21, 29, "Output"],
Cell[14986, 379, 915, 13, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15938, 397, 564, 14, 29, "Input"],
Cell[16505, 413, 446, 10, 29, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[17000, 429, 729, 10, 72, "Section"],
Cell[17732, 441, 4686, 124, 446, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22455, 570, 781, 11, 72, "Section"],
Cell[23239, 583, 3071, 57, 104, "Input"],
Cell[CellGroupData[{
Cell[26335, 644, 275, 5, 29, "Input"],
Cell[26613, 651, 209, 3, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26859, 659, 900, 17, 29, "Input"],
Cell[27762, 678, 1217, 23, 48, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29016, 706, 461, 11, 29, "Input"],
Cell[29480, 719, 378, 7, 29, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[29907, 732, 731, 10, 72, "Section"],
Cell[30641, 744, 1061, 28, 106, "Input"],
Cell[CellGroupData[{
Cell[31727, 776, 177, 3, 29, "Input"],
Cell[31907, 781, 186, 2, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32130, 788, 853, 16, 29, "Input"],
Cell[32986, 806, 1170, 22, 48, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34193, 833, 454, 11, 29, "Input"],
Cell[34650, 846, 385, 8, 29, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[35084, 860, 782, 11, 72, "Section"],
Cell[35869, 873, 898, 23, 66, "Input"],
Cell[CellGroupData[{
Cell[36792, 900, 204, 4, 29, "Input"],
Cell[36999, 906, 238, 3, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37274, 914, 883, 16, 29, "Input"],
Cell[38160, 932, 1163, 22, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39360, 959, 458, 11, 29, "Input"],
Cell[39821, 972, 353, 7, 29, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

